%global commit dcf678068233bb4efd0449bcd003f3f435f49bd1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        An improved cmd.py for Writing Multi-command Scripts and Shells
Name:           python-cmdln
Version:        1.3.0
Release:        2%{?dist}
Source0:        https://github.com/trentm/cmdln/archive/%{commit}/cmdln-%{version}-%{shortcommit}.tar.gz
License:        MIT
Group:          Development/Libraries
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
URL:            https://github.com/trentm/cmdln
BuildArch:	noarch

%description
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".  The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

%package doc
License:        MIT
Summary:	An improved cmd.py for Writing Multi-command Scripts and Shells
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description doc
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".  The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

Documentation package.

%prep
%setup -q -n cmdln-%{commit}

%build
export CFLAGS="%{optflags}"
%{__python} setup.py build

%install
%{__python} setup.py install \
   --prefix=%{_prefix} \
   --root=%{buildroot}

%files
%{python_sitelib}/cmdln*

%files doc
%doc LICENSE.txt README.md docs/* examples/*

%changelog
* Sun Dec 08 2013 Andrea Veri <averi@fedoraproject.org> 1.3.0-2
- Remove [isa] from the -doc package requires, this is indeed a
  noarch package.

* Wed Dec 04 2013 Andrea Veri <averi@fedoraproject.org> 1.3.0-1
- First package release.
